Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Installing Inq

  1. #1
    Join Date
    Jan 2007
    Location
    England and Australia
    Beans
    359
    Distro
    Ubuntu 10.04 Lucid Lynx

    Installing Inq

    Hi
    12.04-2 AMD64 Classic

    I've been trying to install Inq as it recognizes my Epson Stylus Photo P50 (I want to be able to see the ink levels which I can't with mtink).

    I have installed:
    libinklevel5 vers 0.8.0-1.1
    libpoppler-qt4-3
    libpoppler-qt4-dev
    and downloaded inq-1.0.0.tar.gz.

    Following the instructions to install inq, I can't get it to QMAKE=<path-to-qmake> ./configure
    Code:
    QMAKE=/usr/share/perl5/Debian/Debhelper/Buildsystem ./configure
    and obviously can't go further (qmake fails too.)

    I have tried:
    QMAKE=/usr/share/perl5/Debian/Debhelper/Buildsystem ./configure
    qmake=/usr/share/perl5/Debian/Debhelper/Buildsystem ./configure
    qmake_qt4=/usr/share/perl5/Debian/Debhelper/Buildsystem ./configure

    Please can anybody help?

    David
    Last edited by dryder; May 17th, 2013 at 03:51 PM.

  2. #2
    Join Date
    Apr 2005
    Beans
    2,068

    you wish to install ink? to monitor ink levels?

    I am not clear what you wish to install:

    many would use ink

    http://ink.sourceforge.net/

    that uses Libinklevel

    the page that lists supported printers

    http://libinklevel.sourceforge.net/index.html#supported

    says your printer is supported

    this page

    http://libinklevel.sourceforge.net/#installation

    seems to suggest that you install libinklevel first; and then choose some interface to interact with it; ..........the best seems ink that uses CLI

    ............what is this Ing you refer to please?

  3. #3
    Join Date
    Jan 2007
    Location
    England and Australia
    Beans
    359
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Installing Inq

    I wanted a gui based interface - inq is a gui.

    Not meaning to be trite, I'm trying to install inq as per the instructions here

    This page is the gui

    I can't
    Code:
     QMAKE=<path-to-qmake> ./configure

    Thanks
    Last edited by dryder; May 17th, 2013 at 03:51 PM.

  4. #4
    Join Date
    Apr 2005
    Beans
    2,068

    Re: Installing Inq

    I think you are missing some packages including libqt4-dev and qt4-qmake

    try

    sudo apt-get install libxtst-dev build-essential libqt4-dev qt4-qmake
    (In your title, I seenow you spelt it as INQ but in your post it seems to me you spelt it as ING .......which I couldn't find on google!)
    Last edited by pdc; May 17th, 2013 at 09:21 AM.

  5. #5
    Join Date
    Jan 2007
    Location
    England and Australia
    Beans
    359
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Installing Inq

    Apologies for the misspelling - how can I change the title?

  6. #6
    Join Date
    Apr 2012
    Beans
    6,873

    Re: Installing Inq

    Quote Originally Posted by dryder View Post
    I can't
    Code:
     QMAKE=<path-to-qmake> ./configure

    Thanks
    You're more likely to get help if you post the actual error that you are getting - saying "I can't" doesn't really give us any clue what the problem might be

  7. #7
    Join Date
    Jan 2007
    Location
    England and Australia
    Beans
    359
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Installing Inq

    Point taken steeldriver and thanks pdc - your suggestion enabled me to do
    HTML Code:
    QMAKE=/usr/bin/qmake-qt4 ./configure
    On the next step:
    make

    I get:
    HTML Code:
    /usr/bin/qmake-qt4 -o MyMakefile inq.pro
    g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I. -o devicedialog.o devicedialog.cpp
    In file included from devicedialog.cpp:4:0:
    helpbrowser.h:5:29: fatal error: boost/utility.hpp: No such file or directory
    compilation terminated.
    make: *** [devicedialog.o] Error 1
    I appreciate your help very much.

  8. #8
    Join Date
    Apr 2012
    Beans
    6,873

    Re: Installing Inq

    Do you have the boost C++ libraries installed ( http://www.boost.org/ )? or at least the base libboost-dev?

    Code:
    apt-cache policy libboost-dev

  9. #9
    Join Date
    Jan 2007
    Location
    England and Australia
    Beans
    359
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Installing Inq

    I have installed libboost-dev. It helped but 'make' then resulted in:
    HTML Code:
    ~/Desktop/inq-1.0.0$ make
    /usr/bin/qmake-qt4 -o MyMakefile inq.pro
    /usr/bin/uic-qt4 devicedialog.ui -o ui_devicedialog.h
    /usr/bin/uic-qt4 centralwidget.ui -o ui_centralwidget.h
    /usr/bin/uic-qt4 helpbrowser.ui -o ui_helpbrowser.h
    g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I. -o devicedialog.o devicedialog.cpp
    g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I. -o main.o main.cpp
    g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I. -o mainwindow.o mainwindow.cpp
    mainwindow.cpp:15:22: fatal error: inklevel.h: No such file or directory
    compilation terminated.
    make: *** [mainwindow.o] Error 1
    and I can't figure out what inklevel.h is.

    libinklevel5 is installed.

    I've not had so much difficulty installing before - usually I have identified the missing files. Here, I am just lost.

    Thanks for your help.

  10. #10
    Join Date
    Apr 2012
    Beans
    6,873

    Re: Installing Inq

    There's a package you can install called 'apt-file' which is perfect for winkling out things like this - in this case:

    Code:
    $ apt-file search 'inklevel.h'
    libinklevel-dev: /usr/include/inklevel.h
    meaning you need the libinklevel-dev (i.e. development) package because you're trying to build stuff with libinklevel rather than just use it.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •